Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.agletx.util
Class MetaItinerary

    java.lang.Object
      |
      +--com.ibm.aglet.event.MobilityAdapter
            |
            +--com.ibm.agletx.util.MetaItinerary

All Implemented Interfaces:
  java.util.EventListener, MobilityListener, java.io.Serializable

public class MetaItinerary
extends MobilityAdapter
implements java.io.Serializable

an itineray class to log visited and unvisited destinations during an aglet's tour.

Version:
  1.20 $Date: 2001/07/28 06:33:39 $
Author:
  Yariv Aridor
See Also:
  Serialized Form

Constructor Summary
`MetaItinerary(Aglet aglet)`

Method Summary
`java.util.Enumeration` | `getNonVisitedHosts()` Return unvisited destinations
`java.util.Enumeration` | `getVisitedHosts()` Return visited destinations
`void` | `onArrival(MobilityEvent ev)` Invoked when the aglet is retracted.
`void` | `onDispatching(MobilityEvent ev)` Invoked when the aglet is attempted to dispatch.

Methods inherited from class com.ibm.aglet.event.MobilityAdapter
`onReverting`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaItinerary

    public MetaItinerary(Aglet aglet)

Method Detail

### getNonVisitedHosts

    public java.util.Enumeration getNonVisitedHosts()

  Return unvisited destinations
  Returns:
    enumaration of addresses of unvisited destinations.

### getVisitedHosts

    public java.util.Enumeration getVisitedHosts()

  Return visited destinations
  Returns:
    enumaration of addresses of visited destinations.

### onArrival

    public void onArrival(MobilityEvent ev)

  Description copied from class: `MobilityAdapter`
  Invoked when the aglet is retracted.
  Overrides:
    `onArrival` in class `MobilityAdapter`

### onDispatching

    public void onDispatching(MobilityEvent ev)

  Description copied from class: `MobilityAdapter`
  Invoked when the aglet is attempted to dispatch.
  Overrides:
    `onDispatching` in class `MobilityAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD